Subject: Re: Minor question

From: [email-masked] (Carlos Nunes-Ueno)
Date: 25 Jun 1997 10:08:31 GMT

In article <[email-masked]>,
Gerald Pfeifer <[email-masked]> wrote:
>On 20 Jun 97, [email-masked] (Paul D. Chapin) wrote:
>> How does pine recognize the division between messages in the mail
>> file? I'm writing a simple script to subdivide a mail file, but
>> there's no clear break between messages that I can see.  
>
>Actually, that task is much trickier than it might seem at first. (Just
>consider cases where a line in the message body starts with "From " and 
>the like.) 

Actually, no it's not.  Lines that begin with "From " are escaped out as
>From .  So if you do a search for "From " (without the quotes, of course)
you'll find the top of each header.  Nowhere else will have it.  To see
this for yourself, send yourself a message with a line that starts with
>From .  Then read the folder it's in.  It'll read >From .

>> Paul Chapin				
>> [email-masked]
>> Unix Systems Manager
>
>As you seem to do this for a Unix system, I suggest to stop developing a
>script of your own and have a look at `formail`, a small program included
>in the procmail package.

I say go ahead, make your own script.  You'll be able to put what you want
in there and have it do exactly what you want.  Besides, it'll be more
fun.

>(Our local admin respectively we, the users, learned the hard way that
>writing a *simple* script is surely not sufficient!)
>
>Gerald
>-- 
>Gerald Pfeifer (Jerry)      Vienna University of Technology
>[email-masked]   http://www.dbai.tuwien.ac.at/~pfeifer/

+----------------------------------------------------------------------------+
|-Carlos Nunes-Ueno    [email-masked]	Eskimo North, gotta love it!-|
|----------------------------------------------------------------------------|
|"The wood porch faced east.  First sunrise burned the mist from the hilly   |
|hollows, then dried out the webs spiders spun overnight between leaves of   |
|grass.  A distant chain saw cut into the birdsong; the rising wind whipped  |
|blue butterflies with stalks of goldenrod."                                 |
|			-Actual copy from a Japanese brand of instant coffee |
|----------------------------------------------------------------------------|
|           To reply via email, remove the hades from the reply-to           |
+----------------------------------------------------------------------------+